# BEGIN SourceDeps(oneline):
BuildRequires: libncurses-devel libreadline-devel
# END SourceDeps(oneline)
%define cvs_version 20100314cvs

Name:             freehoo
Version:          3.5.3
Release:          alt1_12.%{cvs_version}
Summary:          Freehoo is a free console based messenger for Yahoo IM Service
Group:            Networking/WWW
License:          GPLv2+
URL:              http://www.nongnu.org/freehoo/
Source0:          http://download.savannah.gnu.org/releases/freehoo/freehoo-%{version}.%{cvs_version}.tar.gz
Patch0:           freehoo-libyahoo2-1.0.0.patch
Patch1:           freehoo-guile2.patch
Patch2:           freehoo-guile2-scm.patch
Patch3:           freehoo-texi-subsections-in-multitable.patch

Requires:         libyahoo2 >= 0.7.7-2.20100314svn words openssl
Requires(post):   info
Requires(preun):  info
BuildRequires:    guile-devel
BuildRequires:    readline-devel
BuildRequires:    glib2-devel
BuildRequires:    libyahoo2-devel >= 0.7.7-2.20100314svn
BuildRequires:    texinfo
BuildRequires:    libssl-devel
Source44: import.info

%description
This is a simple Yahoo Messenger client that requires no windowing system,
and it therefore can be quite useful in situations where a minimal system
is being used or when a windowing system is otherwise unavailable or
unfeasible.

%prep
%setup -q -n %{name}-%{version}.%{cvs_version}
%patch0 -p0 -b .libyahoo2-1.0.0
%patch1 -p1 -b .guile2
%patch2 -p1 -b .guile2-scm
%patch3 -p1 -b .subsec-multitable

%build
%configure --with-docdir=%{_docdir}/%{name}-%{version}

%{__make} %{?_smp_mflags}

%install
# This preserves timestamps.
%{__make} install DESTDIR=%{buildroot} INSTALL="%{__install} -c -p"

# Make sure our documentation directory exists.
%{__mkdir} -p %{buildroot}/%{_docdir}/%{name}-%{version}

# Clean up old documentation and example directories.
%{__rm} -rf %{buildroot}/usr/doc
%{__rm} -rf %{buildroot}/%{_docdir}/%{name}
%{__rm} -rf %{buildroot}/examples

# Remove info/dir if it exists.
%{__rm} -f  %{buildroot}/%{_infodir}/dir

%files
%doc AUTHORS BUGS ChangeLog COPYING README TODO doc/examples
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_infodir}/*
%{_mandir}/man?/*

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 3.5.3-alt1_12.20100314cvs
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 3.5.3-alt1_6.20100314cvs
- initial fc import

